# eric7.Plugins.PluginVcsMercurial

Module implementing the Mercurial version control plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
mercurialCfgPluginObject
name
packageName
pluginType
pluginTypename
pyqtApi
shortDescription
version

### Classes

VcsMercurialPlugin | Class implementing the Mercurial version control plugin.

### Functions

clearPrivateData | Module function to clear the private data of the plug-in.
createConfigurationPage | Module function to create the configuration page.
displayString | Public function to get the display string.
exeDisplayData | Public method to support the display of some executable info.
getConfigData | Module function returning data as required by the configuration dialog.
getVcsSystemIndicator | Public function to get the indicators for this version control system.
prepareUninstall | Module function to prepare for an uninstallation.

## VcsMercurialPlugin

Class implementing the Mercurial version control plugin.

### Derived from

QObject

### Class Attributes

MercurialDefaults

### Class Methods

getPreferences | Class method to retrieve the various settings.
setPreferences | Class method to store the various settings.

### Methods

VcsMercurialPlugin | Constructor
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getConfigPath | Public method to get the filename of the config file.
getGlobalOptions | Public method to build a list of global options.
getProjectHelper | Public method to get a reference to the project helper object.
initToolbar | Public slot to initialize the VCS toolbar.
prepareUninstall | Public method to prepare for an uninstallation.
prepareUnload | Public method to prepare for an unload.

### Static Methods

None

#### VcsMercurialPlugin.getPreferences (class method)

getPreferences(key)

Class method to retrieve the various settings.

key
  the key of the value to get

Return:
  the requested setting

#### VcsMercurialPlugin.setPreferences (class method)

setPreferences(key, value)

Class method to store the various settings.

key
  the key of the setting to be set
value
  the value to be set

#### VcsMercurialPlugin (Constructor)

VcsMercurialPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### VcsMercurialPlugin.activate

activate()

Public method to activate this plugin.

Return:
  tuple of reference to instantiated viewmanager and activation status (boolean)

#### VcsMercurialPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### VcsMercurialPlugin.getConfigPath

getConfigPath()

Public method to get the filename of the config file.

Return:
  filename of the config file (string)

#### VcsMercurialPlugin.getGlobalOptions

getGlobalOptions()

Public method to build a list of global options.

Return:
  list of global options (list of string)

#### VcsMercurialPlugin.getProjectHelper

getProjectHelper()

Public method to get a reference to the project helper object.

Return:
  reference to the project helper object

#### VcsMercurialPlugin.initToolbar

initToolbar(ui, toolbarManager)

Public slot to initialize the VCS toolbar.

ui
  reference to the main window (UserInterface)
toolbarManager
  reference to a toolbar manager object (EricToolBarManager)

#### VcsMercurialPlugin.prepareUninstall

prepareUninstall()

Public method to prepare for an uninstallation.

#### VcsMercurialPlugin.prepareUnload

prepareUnload()

Public method to prepare for an unload.

Up

## clearPrivateData

clearPrivateData()

Module function to clear the private data of the plug-in.

Up

## createConfigurationPage

createConfigurationPage(configDlg)

Module function to create the configuration page.

configDlg
  reference to the configuration dialog (QDialog)

Return:
  reference to the configuration page

Up

## displayString

displayString()

Public function to get the display string.

Return:
  display string (string)

Up

## exeDisplayData

exeDisplayData()

Public method to support the display of some executable info.

Return:
  dictionary containing the data to query the presence of the executable

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Return:
  dictionary with key "zzz_mercurialPage" containing the relevant data

Up

## getVcsSystemIndicator

getVcsSystemIndicator()

Public function to get the indicators for this version control system.

Return:
  dictionary with indicator as key and a tuple with the vcs name (string) and vcs display string (string)

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an uninstallation.

Up